Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.setup
Class DefaultBootstrapManager

    java.lang.Object
      DefaultAtlassianBootstrapManager
          com.atlassian.bamboo.setup.DefaultBootstrapManager

All Implemented Interfaces:
  BootstrapManager

    public class DefaultBootstrapManager

extends DefaultAtlassianBootstrapManager
implements BootstrapManager

BootstrapManager is responsible for initializing the dependencies of Bamboo environment.

1. Initializing the Bamboo environment, beginning with loading bamboo.cfg.xml from the bamboo.home property specified in bamboo-init.properties.
2. Delegating, monitoring, and answering all client requests concerning Bamboo initialization routines.
3. Providing the SetupPersister with whatever resources it needs to let a user bootstrapManager Bamboo.

Field Summary

Fields inherited from interface com.atlassian.bamboo.setup.BootstrapManager
`BAMBOO_HOME_CONSTANT`

Constructor Summary
`DefaultBootstrapManager()`

Method Summary
`protected void` | `afterConfigurationLoaded()`
`void` | `bootstrapDatabase(DatabaseDetails databaseDetails, boolean b)`
`String` | `getBuildDirectory()` Gets the directory where Bamboo's build files sit.
`String` | `getConfigDirectory()` Gets the directory where Bamboo's administration.xml file sits
`protected String` | `getDbUrl(DatabaseDetails dbDetails)`
`void` | `setBambooLicenseManager(BambooLicenseManager bambooLicenseManager)`
`void` | `setBuildDirectory(String buildDirectory)`
`void` | `setConfigDirectory(String configurationDirectory)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultBootstrapManager

    public DefaultBootstrapManager()

Method Detail

### afterConfigurationLoaded

    protected void afterConfigurationLoaded()
                                     throws ConfigurationException

  Throws:
    `ConfigurationException`

### getConfigDirectory

    public String getConfigDirectory()

  Description copied from interface: `BootstrapManager`
  Gets the directory where Bamboo's administration.xml file sits

  Specified by:
    `getConfigDirectory` in interface `BootstrapManager`
  Returns:
    String representing the path to the folder. Null if not configured

### setConfigDirectory

    public void setConfigDirectory(String configurationDirectory)

  Specified by:
    `setConfigDirectory` in interface `BootstrapManager`

### getBuildDirectory

    public String getBuildDirectory()

  Description copied from interface: `BootstrapManager`
  Gets the directory where Bamboo's build files sit. This includes artifacts and the like

  Specified by:
    `getBuildDirectory` in interface `BootstrapManager`
  Returns:
    String representing the path to the folder. Null if not configured

### setBuildDirectory

    public void setBuildDirectory(String buildDirectory)

  Specified by:
    `setBuildDirectory` in interface `BootstrapManager`

### bootstrapDatabase

    public void bootstrapDatabase(DatabaseDetails databaseDetails,
                                  boolean b)
                           throws BootstrapException

  Throws:
    `BootstrapException`

### setBambooLicenseManager

    public void setBambooLicenseManager(BambooLicenseManager bambooLicenseManager)

### getDbUrl

    protected String getDbUrl(DatabaseDetails dbDetails)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.